/// <reference types="node" />
/// <reference types="node" />
import fs from "fs-extra";
export declare const getCatalogFixture: (name: string, options?: fs.JsonReadOptions) => any;
export declare const getExternalDataFixture: (name: string, options?: fs.JsonReadOptions) => any;
export declare const getJSONataTemplate: (name: string, options?: BufferEncoding | (fs.ObjectEncodingOptions & {
    flag?: string | undefined;
}) | null | undefined) => string | Buffer;
export declare function createFileLoader<T, S extends any[]>({ prefix, fileLoader, suggestions, }: Args<T, S>): (name: string, ...args: S) => T;
interface Args<T, S extends any[]> {
    prefix: string;
    fileLoader: (prefix: string, ...args: S) => T;
    suggestions?: string[];
}
export {};
//# sourceMappingURL=file-loaders.d.ts.map