/**
 * 1. Receive connections list, and transform it into the connections dictionary.
 *   - Store only connectionId, name, and slug.
 * 2. Create the config object from a default config.
 * 3. Create a connections environments array by making a filtered array of connections for each environment.
 * 4. Map each object in the environments array to expand out
 */
import { type ConnectionResponseDto } from "../http/get-connections-request";
import { type Config, type ConnectionConfigDict } from "../types";
export declare function buildConfigFromConnections(connections: ConnectionResponseDto[]): Config;
export declare function buildConnectionsDictFromList(connections: ConnectionResponseDto[]): ConnectionConfigDict;
export declare function buildConfigString(config: Config, connections: ConnectionConfigDict): string;
//# sourceMappingURL=build-config-file.d.ts.map